Impossibile installare wine e synaptic

Installazione, configurazione e uso di programmi e strumenti.
Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Impossibile installare wine e synaptic

Messaggio da Makie » sabato 1 agosto 2020, 22:41

Ciao a tutti, ho un problema ad installare wine, ho provato ad installare la versione stabile utilizzando i link presenti nella wiki, ma mi viene restituito l'errore:

Codice: Seleziona tutto

L'indice dei programmi è rovinato
Questo è un problema grave del sistema di gestione del software.
Controllare i pacchetti danneggiati con synaptic, i permessi dei file e la correttezza dei file presenti in <</etc/apt/sources.list>> e ricaricare le informazioni del software con:<<sudo apt-get update>> e <<sudo apt-get install -f>>.
Quindi ho provato ad installare synaptic, ma il risultato è stato:

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt-get install synaptic
[sudo] password di michela: 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
synaptic è già alla versione più recente (0.84.3ubuntu1).
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 wine32:i386 : Dipende: libwine:i386 (= 3.0-1ubuntu1) ma non sta per essere installato
 wine64 : Dipende: libwine (= 3.0-1ubuntu1) ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
michela@michela-laptop:~$
Mentre con i comandi <<sudo apt-get update>> e <<sudo apt-get install -f>> ho ottenuto:

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt-get update
[sudo] password di michela: 
Trovato:1 http://it.archive.ubuntu.com/ubuntu bionic InRelease
Trovato:2 http://linux.teamviewer.com/deb stable InRelease                     
Trovato:3 http://it.archive.ubuntu.com/ubuntu bionic-updates InRelease         
Trovato:4 http://it.archive.ubuntu.com/ubuntu bionic-backports InRelease       
Trovato:5 http://archive.canonical.com/ubuntu utopic InRelease                 
Trovato:6 https://repo.skype.com/deb stable InRelease                          
Trovato:7 http://security.ubuntu.com/ubuntu bionic-security InRelease          
Lettura elenco dei pacchetti... Fatto                 
michela@michela-laptop:~$ 
michela@michela-laptop:~$ sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  fonts-wine libwine libwine:i386
I seguenti pacchetti NUOVI saranno installati:
  fonts-wine libwine libwine:i386
0 aggiornati, 3 installati, 0 da rimuovere e 13 non aggiornati.
24 non completamente installati o rimossi.
È necessario scaricare 0 B/39,9 MB di archivi.
Dopo quest'operazione, verranno occupati 375 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 271940 file e directory attualmente installati.)
Preparativi per estrarre .../libwine_3.0-1ubuntu1_amd64.deb...
Estrazione di libwine:amd64 (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libwine_3.0-1ubuntu1_amd64.deb (--unpack):
 tentata sovrascrittura di "/usr/lib/x86_64-linux-gnu/wine/acledit.dll.so" presente anche nel pacchetto wine1.8-amd64 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Preparativi per estrarre .../libwine_3.0-1ubuntu1_i386.deb...
Estrazione di libwine:i386 (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libwine_3.0-1ubuntu1_i386.deb (--unpack):
 tentata sovrascrittura di "/usr/lib/i386-linux-gnu/wine/acledit.dll.so" presente anche nel pacchetto wine1.8-i386:i386 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Preparativi per estrarre .../fonts-wine_3.0-1ubuntu1_all.deb...
Estrazione di fonts-wine (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/fonts-wine_3.0-1ubuntu1_all.deb (--unpack):
 tentata sovrascrittura di "/usr/share/wine/fonts/coue1255.fon" presente anche nel pacchetto wine1.8 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libwine_3.0-1ubuntu1_amd64.deb
 /var/cache/apt/archives/libwine_3.0-1ubuntu1_i386.deb
 /var/cache/apt/archives/fonts-wine_3.0-1ubuntu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
michela@michela-laptop:~$
Non sono molto esperta come potrete immaginare e sono alla disperazione :cry: :cry: ho paura di aver irrimediabilmente rovinato qualcosa :cry: :cry: qualcuno può aiutarmi per favore?
Ultima modifica di trekfan1 il lunedì 3 agosto 2020, 6:22, modificato 1 volta in totale.
Motivazione: Inseriti i tag CODE (tasto </>), ricordalo per il futuro

Avatar utente
willy54
Rampante Reduce
Rampante Reduce
Messaggi: 5659
Iscrizione: lunedì 18 dicembre 2017, 21:42
Desktop: Xorg, Plasma
Distribuzione: Ubuntu, Kubuntu 18.04 x86_64
Sesso: Maschile
Località: Castell'Alfero (AT)
Contatti:

Re: Impossibile installare wine e synaptic

Messaggio da willy54 » sabato 1 agosto 2020, 23:03

Nel resoconto del primo comando ( sudo apt-get install synaptic ) postato si legge "apt --fix-broken install" quindi la soluzione possibile è

Codice: Seleziona tutto

sudo apt --fix-broken install
Che versione hai in uso ? Sulla 18.04 e successive apt-get non è più necessario basta

Codice: Seleziona tutto

sudo apt install synaptic 
Hp Pavilon 15-CS2093nl Win10, UbuntuStudio (provvisorio)
Toshiba Satellite A660 11M Win7, Win10, Ubuntu 18.04 LTS- Kubuntu 18.04 LTS gparted sda inxi -Fz
disattivare Avvio rapido in Windows10

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » domenica 2 agosto 2020, 0:00

willy54 ha scritto:
sabato 1 agosto 2020, 23:03
Nel resoconto del primo comando ( sudo apt-get install synaptic ) postato si legge "apt --fix-broken install" quindi la soluzione possibile è

Codice: Seleziona tutto

sudo apt --fix-broken install
Che versione hai in uso ? Sulla 18.04 e successive apt-get non è più necessario basta

Codice: Seleziona tutto

sudo apt install synaptic 
Niente! non funziona, posto qui sotto il risultato di entrambi i comandi da te suggeriti

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt --fix-broken install
[sudo] password di michela: 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  fonts-wine libwine libwine:i386
I seguenti pacchetti NUOVI saranno installati:
  fonts-wine libwine libwine:i386
0 aggiornati, 3 installati, 0 da rimuovere e 13 non aggiornati.
24 non completamente installati o rimossi.
È necessario scaricare 0 B/39,9 MB di archivi.
Dopo quest'operazione, verranno occupati 375 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 271940 file e directory attualmente installati.)
Preparativi per estrarre .../libwine_3.0-1ubuntu1_amd64.deb...
Estrazione di libwine:amd64 (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libwine_3.0-1ubuntu1_amd64.deb (--unpack):
 tentata sovrascrittura di "/usr/lib/x86_64-linux-gnu/wine/acledit.dll.so" presente anche nel pacchetto wine1.8-amd64 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Preparativi per estrarre .../libwine_3.0-1ubuntu1_i386.deb...
Estrazione di libwine:i386 (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libwine_3.0-1ubuntu1_i386.deb (--unpack):
 tentata sovrascrittura di "/usr/lib/i386-linux-gnu/wine/acledit.dll.so" presente anche nel pacchetto wine1.8-i386:i386 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Preparativi per estrarre .../fonts-wine_3.0-1ubuntu1_all.deb...
Estrazione di fonts-wine (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/fonts-wine_3.0-1ubuntu1_all.deb (--unpack):
 tentata sovrascrittura di "/usr/share/wine/fonts/coue1255.fon" presente anche nel pacchetto wine1.8 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libwine_3.0-1ubuntu1_amd64.deb
 /var/cache/apt/archives/libwine_3.0-1ubuntu1_i386.deb
 /var/cache/apt/archives/fonts-wine_3.0-1ubuntu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
e

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt install synaptic 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
synaptic è già alla versione più recente (0.84.3ubuntu1).
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 wine32:i386 : Dipende: libwine:i386 (= 3.0-1ubuntu1) ma non sta per essere installato
 wine64 : Dipende: libwine (= 3.0-1ubuntu1) ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
michela@michela-laptop:~$ 
:muro: altri suggerimenti?

Avatar utente
willy54
Rampante Reduce
Rampante Reduce
Messaggi: 5659
Iscrizione: lunedì 18 dicembre 2017, 21:42
Desktop: Xorg, Plasma
Distribuzione: Ubuntu, Kubuntu 18.04 x86_64
Sesso: Maschile
Località: Castell'Alfero (AT)
Contatti:

Re: Impossibile installare wine e synaptic

Messaggio da willy54 » domenica 2 agosto 2020, 0:42

Leggendo il resoconto di fix-broken install sono segnalati errori DPKG che è necessario correggere

Codice: Seleziona tutto

sudo dpkg --configure -a
sudo apt --fix-broken install

Non hai risposto a quale versione hai in uso.
I comandi dati su una versione fuori supporto o di una versione ottenuta da un avvanzamento di versione non andato a buon fine continueranno a dare errori vari .
Qualora ti trovassi in questa situazione ti conviene procedere ad una nuova installazione pulita, dopo un backup dei dati personali, in quanto la soluzione del problema potrebbe essere lunga e a volte impossibile.
Qualora non fossi a conoscenza della versione in uso pubblica

Codice: Seleziona tutto

lsb_release -ds
Hp Pavilon 15-CS2093nl Win10, UbuntuStudio (provvisorio)
Toshiba Satellite A660 11M Win7, Win10, Ubuntu 18.04 LTS- Kubuntu 18.04 LTS gparted sda inxi -Fz
disattivare Avvio rapido in Windows10

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » domenica 2 agosto 2020, 8:45

willy54 ha scritto:
domenica 2 agosto 2020, 0:42
Leggendo il resoconto di fix-broken install sono segnalati errori DPKG che è necessario correggere

Codice: Seleziona tutto

sudo dpkg --configure -a
sudo apt --fix-broken install

Non hai risposto a quale versione hai in uso.
I comandi dati su una versione fuori supporto o di una versione ottenuta da un avvanzamento di versione non andato a buon fine continueranno a dare errori vari .
Qualora ti trovassi in questa situazione ti conviene procedere ad una nuova installazione pulita, dopo un backup dei dati personali, in quanto la soluzione del problema potrebbe essere lunga e a volte impossibile.
Qualora non fossi a conoscenza della versione in uso pubblica

Codice: Seleziona tutto

lsb_release -ds
Buongiorno, innanzitutto grazie per l'aiuto, la versione è quella indicata nel mio profilo: ubuntu 18.04.4 LTS, ho fatto l'avanzamento di versione appena fu rilasciata, quindi diverso tempo fa e da allora è la prima volta che si verificano errori, con i comandi che mi hai indicato ho ottenuto:

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo dpkg --configure -a
[sudo] password di michela: 
Configurazione di libxcb-render0:i386 (1.13-2~ubuntu18.04)...
Configurazione di libodbc1:i386 (2.3.4-1.1ubuntu3)...
Configurazione di librarian0 (0.8.1-6build1)...
dpkg: problemi con le dipendenze impediscono la configurazione di wine32:i386:
 wine32:i386 dipende da libwine (= 3.0-1ubuntu1); tuttavia:
  Il pacchetto libwine:i386 non è installato.

dpkg: errore nell'elaborare il pacchetto wine32:i386 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libcap2:i386 (1:2.25-1.2)...
Configurazione di libcdparanoia0:i386 (3.10.2+debian-13)...
Configurazione di libept1.5.0:amd64 (1.1+nmu3build1)...
Configurazione di libopus0:i386 (1.1.2-1ubuntu1)...
Configurazione di libpixman-1-0:i386 (0.34.0-2)...
dpkg: problemi con le dipendenze impediscono la configurazione di wine64:
 wine64 dipende da libwine (= 3.0-1ubuntu1); tuttavia:
  Il pacchetto libwine:amd64 non è installato.

dpkg: errore nell'elaborare il pacchetto wine64 (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di libvisual-0.4-0:i386 (0.4.0-11)...
Configurazione di libxcb-shm0:i386 (1.13-2~ubuntu18.04)...
Configurazione di libsane1:i386 (1.0.27-1~experimental3ubuntu2.2)...
Configurazione di libpango-perl (1.227-2build1)...
Configurazione di libgsm1:i386 (1.0.13-4build1)...
Configurazione di libgtk2-perl (2:1.24992-1build1)...
Configurazione di rarian-compat (0.8.1-6build1)...
Configurazione di libcairo2:i386 (1.15.10-2ubuntu0.1)...
Configurazione di libgstreamer1.0-0:i386 (1.14.5-0ubuntu1~18.04.1)...
Setcap worked! gst-ptp-helper is not suid!
dpkg: problemi con le dipendenze impediscono la configurazione di wine-stable:
 wine-stable dipende da wine64 (>= 3.0-1ubuntu1) | wine32 (>= 3.0-1ubuntu1); tuttavia:
  Il pacchetto wine64 non è ancora configurato.
  Il pacchetto wine32:i386 non è ancora configurato.
 wine-stable dipende da wine64 (<< 3.0-1ubuntu1.1~) | wine32 (<< 3.0-1ubuntu1.1~); tuttavia:
  Il pacchetto wine64 non è ancora configurato.
  Il pacchetto wine32:i386 non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto wine-stable (--configure):
 problemi con le dipendenze - lasciato non configurato
Configurazione di synaptic (0.84.3ubuntu1)...
Configurazione di libtheora0:i386 (1.1.1+dfsg.1-14)...
Configurazione di libgstreamer-plugins-base1.0-0:i386 (1.14.5-0ubuntu1~18.04.1)...
Configurazione di gstreamer1.0-plugins-base:i386 (1.14.5-0ubuntu1~18.04.1)...
Elaborazione dei trigger per desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Elaborazione dei trigger per sgml-base (1.29)...
Elaborazione dei trigger per bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1.2)...
Elaborazione dei trigger per udev (237-3ubuntu10.41)...
Elaborazione dei trigger per doc-base (0.10.8)...
Scrollkeeper è stato installato, imponendo la nuova registrazione di tutti i documenti.
Annullamento della registrazione dei file doc-base 42, Nuova registrazione dei file doc-base 42,
Registrazione dei documenti con  scrollkeeper...
Elaborazione dei trigger per man-db (2.8.3-2ubuntu0.1)...
Elaborazione dei trigger per gnome-menus (3.13.3-11ubuntu1.1)...
Elaborazione dei trigger per hicolor-icon-theme (0.17-2)...
Elaborazione dei trigger per mime-support (3.60ubuntu1)...
Si sono verificati degli errori nell'elaborazione:
 wine32:i386
 wine64
 wine-stable
michela@michela-laptop:~$
e

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  fonts-wine libwine libwine:i386
I seguenti pacchetti NUOVI saranno installati:
  fonts-wine libwine libwine:i386
0 aggiornati, 3 installati, 0 da rimuovere e 13 non aggiornati.
3 non completamente installati o rimossi.
È necessario scaricare 0 B/39,9 MB di archivi.
Dopo quest'operazione, verranno occupati 375 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 271940 file e directory attualmente installati.)
Preparativi per estrarre .../libwine_3.0-1ubuntu1_amd64.deb...
Estrazione di libwine:amd64 (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libwine_3.0-1ubuntu1_amd64.deb (--unpack):
 tentata sovrascrittura di "/usr/lib/x86_64-linux-gnu/wine/acledit.dll.so" presente anche nel pacchetto wine1.8-amd64 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Preparativi per estrarre .../libwine_3.0-1ubuntu1_i386.deb...
Estrazione di libwine:i386 (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libwine_3.0-1ubuntu1_i386.deb (--unpack):
 tentata sovrascrittura di "/usr/lib/i386-linux-gnu/wine/acledit.dll.so" presente anche nel pacchetto wine1.8-i386:i386 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Preparativi per estrarre .../fonts-wine_3.0-1ubuntu1_all.deb...
Estrazione di fonts-wine (3.0-1ubuntu1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/fonts-wine_3.0-1ubuntu1_all.deb (--unpack):
 tentata sovrascrittura di "/usr/share/wine/fonts/coue1255.fon" presente anche nel pacchetto wine1.8 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libwine_3.0-1ubuntu1_amd64.deb
 /var/cache/apt/archives/libwine_3.0-1ubuntu1_i386.deb
 /var/cache/apt/archives/fonts-wine_3.0-1ubuntu1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
michela@michela-laptop:~$
Ancora grazie per il suopporto

Avatar utente
willy54
Rampante Reduce
Rampante Reduce
Messaggi: 5659
Iscrizione: lunedì 18 dicembre 2017, 21:42
Desktop: Xorg, Plasma
Distribuzione: Ubuntu, Kubuntu 18.04 x86_64
Sesso: Maschile
Località: Castell'Alfero (AT)
Contatti:

Re: Impossibile installare wine e synaptic

Messaggio da willy54 » domenica 2 agosto 2020, 9:00

Essendo la versione proveniente da aggiornamento pubblica

Codice: Seleziona tutto

cat /etc/apt/sources.list
potrebbero esserci dei PPA che creano confusione.
Hp Pavilon 15-CS2093nl Win10, UbuntuStudio (provvisorio)
Toshiba Satellite A660 11M Win7, Win10, Ubuntu 18.04 LTS- Kubuntu 18.04 LTS gparted sda inxi -Fz
disattivare Avvio rapido in Windows10

Avatar utente
dxgiusti
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4038
Iscrizione: lunedì 19 novembre 2007, 14:10
Desktop: Mate - Unity
Distribuzione: PCLinuxOS - Unubuntu 20.04
Sesso: Maschile
Località: Lodi

Re: Impossibile installare wine e synaptic

Messaggio da dxgiusti » domenica 2 agosto 2020, 9:24

gentilmente, anche il risultato di:
ls /etc/apt/sources.list.d

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » domenica 2 agosto 2020, 9:26

willy54 ha scritto:
domenica 2 agosto 2020, 9:00
Essendo la versione proveniente da aggiornamento pubblica

Codice: Seleziona tutto

cat /etc/apt/sources.list
potrebbero esserci dei PPA che creano confusione.

Codice: Seleziona tutto

michela@michela-laptop:~$ cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 14.10 _Utopic Unicorn_ - Release amd64 (20141022.1)]/ utopic main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://it.archive.ubuntu.com/ubuntu/ bionic main restricted
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://it.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://it.archive.ubuntu.com/ubuntu/ bionic universe
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic universe
deb http://it.archive.ubuntu.com/ubuntu/ bionic-updates universe
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://it.archive.ubuntu.com/ubuntu/ bionic multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic multiverse
deb http://it.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://it.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu bionic-security main restricted
deb-src http://security.ubuntu.com/ubuntu bionic-security main restricted
deb http://security.ubuntu.com/ubuntu bionic-security universe
deb-src http://security.ubuntu.com/ubuntu bionic-security universe
deb http://security.ubuntu.com/ubuntu bionic-security multiverse
deb-src http://security.ubuntu.com/ubuntu bionic-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu utopic partner
deb-src http://archive.canonical.com/ubuntu utopic partner

# deb http://archive.ubuntu.com/ubuntu raring-backports main universe multiverse restricted
# deb-src http://archive.ubuntu.com/ubuntu raring-backports main universe multiverse restricted
michela@michela-laptop:~$

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » domenica 2 agosto 2020, 9:27

dxgiusti ha scritto:
domenica 2 agosto 2020, 9:24
gentilmente, anche il risultato di:
ls /etc/apt/sources.list.d

Codice: Seleziona tutto

michela@michela-laptop:~$ ls /etc/apt/sources.list.d
google-chrome.list
google-chrome.list.distUpgrade
google-chrome.list.save
libreoffice-ubuntu-ppa-xenial.list
libreoffice-ubuntu-ppa-xenial.list.distUpgrade
libreoffice-ubuntu-ppa-xenial.list.save
pipelight-ubuntu-stable-xenial.list
pipelight-ubuntu-stable-xenial.list.distUpgrade
pipelight-ubuntu-stable-xenial.list.save
skype-stable.list
teamviewer.list
ubuntu-wine-ubuntu-ppa-xenial.list
ubuntu-wine-ubuntu-ppa-xenial.list.distUpgrade
ubuntu-wine-ubuntu-ppa-xenial.list.save
webupd8team-ubuntu-tor-browser-xenial.list
webupd8team-ubuntu-tor-browser-xenial.list.distUpgrade
webupd8team-ubuntu-tor-browser-xenial.list.save
michela@michela-laptop:~$

Avatar utente
dxgiusti
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4038
Iscrizione: lunedì 19 novembre 2007, 14:10
Desktop: Mate - Unity
Distribuzione: PCLinuxOS - Unubuntu 20.04
Sesso: Maschile
Località: Lodi

Re: Impossibile installare wine e synaptic

Messaggio da dxgiusti » domenica 2 agosto 2020, 9:45

hai alcuni PPA di xenial >>> 16.04, forse quando hai avanzato ti sei dimenticata di disattivarli.
sarebbe buona cosa rimuoverli e rimuovere i programmi da loro installati. dai uno sguardo:
https://wiki.ubuntu-it.org/Amministrazi ... /Ppa-purge

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » domenica 2 agosto 2020, 10:00

dxgiusti ha scritto:
domenica 2 agosto 2020, 9:45
hai alcuni PPA di xenial >>> 16.04, forse quando hai avanzato ti sei dimenticata di disattivarli.
sarebbe buona cosa rimuoverli e rimuovere i programmi da loro installati. dai uno sguardo:
https://wiki.ubuntu-it.org/Amministrazi ... /Ppa-purge
il problema è che non riesco ad installare neanche il pacchetto ppa-purge, quando ci provo mi restituisce lo stesso errore "l'indice dei programmi è rvinato etc...."
:muro: :muro:

Avatar utente
dxgiusti
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4038
Iscrizione: lunedì 19 novembre 2007, 14:10
Desktop: Mate - Unity
Distribuzione: PCLinuxOS - Unubuntu 20.04
Sesso: Maschile
Località: Lodi

Re: Impossibile installare wine e synaptic

Messaggio da dxgiusti » domenica 2 agosto 2020, 10:04

da sorgenti software, disabilita ( leva tutti i flag ai tuoi ppa )

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » domenica 2 agosto 2020, 21:47

dxgiusti ha scritto:
domenica 2 agosto 2020, 10:04
da sorgenti software, disabilita ( leva tutti i flag ai tuoi ppa )
Cioè? scusa la mia ignoranza, come dicevo non piuttosto ignorante in materia, ma non trovo sorgenti software da nessuna parte.

Avatar utente
woddy68
Rampante Reduce
Rampante Reduce
Messaggi: 5573
Iscrizione: sabato 12 febbraio 2011, 14:23
Desktop: Kde Plasma5
Distribuzione: openSUSE Leap-Tumbleweed-Kubuntu 20
Sesso: Maschile

Re: Impossibile installare wine e synaptic

Messaggio da woddy68 » domenica 2 agosto 2020, 22:20

...si chiama "software e aggiornamento" e lo trovi nelle applicazioni, lo avvii e vai in altro software e disattivi i vari ppa.
Desktop - Acer Aspire M5500 (AMD) - Notebook Acer Aspire E1 -522 (Amd)
Voglio trovare la mia strada per il paradiso - Perché ho scontato la mia pena all'inferno
Non avevo un bell'aspetto ma mi sentivo proprio bene 😬

Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
Messaggi: 21352
Iscrizione: domenica 21 maggio 2006, 10:51
Desktop: Gnome
Distribuzione: Ubuntu 20.04 e 20.10 (dev) 64 bit
Sesso: Maschile
Località: Formigine (MO) | Accecante Asceta

Re: Impossibile installare wine e synaptic

Messaggio da trekfan1 » lunedì 3 agosto 2020, 6:25

Inoltre ci sono ancora attivi i repo partner di utopic....

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » lunedì 3 agosto 2020, 9:13

Makie ha scritto:
domenica 2 agosto 2020, 21:47
dxgiusti ha scritto:
domenica 2 agosto 2020, 10:04
da sorgenti software, disabilita ( leva tutti i flag ai tuoi ppa )
Cioè? scusa la mia ignoranza, come dicevo non piuttosto ignorante in materia, ma non trovo sorgenti software da nessuna parte.
Ok trovato, ma non ci sono ppa attivi, le uniche voci flaggate in altro software sono: " partner di canonical", "partner di canonical codice sorgente", "http//linux.teamviewer.com/deb stable main" e "https://repo.skipe.com/deb stable main" cosa devo disabilitare esattamente?
so che possono sembrare domande stupide, ma come ho già scritto sono piuttosto inesperta, grazie per l'aiuto e la pazienza.

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » lunedì 3 agosto 2020, 9:37

trekfan1 ha scritto:
lunedì 3 agosto 2020, 6:25
Inoltre ci sono ancora attivi i repo partner di utopic....
ah ok, quindi potresti spiegarmi nel dettaglio cosa devo fare per risolvere il problema? o forse a questo punto visto che ci sono diverse cose fuori posto, mi conviene fare un back up dei dati e reinstallare tutto da capo? e se si, posso sovrascrivere tutto avviando la live da chiavetta e dando il comando reinstalla o devo prima formattare e poi reinstallare?
Grazie per il supporto

Avatar utente
dxgiusti
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 4038
Iscrizione: lunedì 19 novembre 2007, 14:10
Desktop: Mate - Unity
Distribuzione: PCLinuxOS - Unubuntu 20.04
Sesso: Maschile
Località: Lodi

Re: Impossibile installare wine e synaptic

Messaggio da dxgiusti » lunedì 3 agosto 2020, 11:13

apri il terminale e scrivi:

Codice: Seleziona tutto

sudo -H nautilus /etc/apt/sources.list.d
si aprirà la cartella dove hai i PPA. seleziona quelli relativi a xenial, tasto maiuscolo di sx + canc per eliminarli. al termine chiudi, riavvia la sessione e riaggiorna:

Codice: Seleziona tutto

sudo apt update
sudo apt full-upgrade
un comando alla volta seguito da invio, password, invio. fai sapere come va.
tu hai ubuntu 18.04 come nella tua firma vero?

Makie
Prode Principiante
Messaggi: 38
Iscrizione: domenica 5 luglio 2015, 20:55
Desktop: Unity
Distribuzione: Ubuntu 18.04.4 LTS
Sesso: Femminile

Re: Impossibile installare wine e synaptic

Messaggio da Makie » lunedì 3 agosto 2020, 13:18

dxgiusti ha scritto:
lunedì 3 agosto 2020, 11:13
apri il terminale e scrivi:

Codice: Seleziona tutto

sudo -H nautilus /etc/apt/sources.list.d
si aprirà la cartella dove hai i PPA. seleziona quelli relativi a xenial, tasto maiuscolo di sx + canc per eliminarli. al termine chiudi, riavvia la sessione e riaggiorna:

Codice: Seleziona tutto

sudo apt update
sudo apt full-upgrade
un comando alla volta seguito da invio, password, invio. fai sapere come va.
tu hai ubuntu 18.04 come nella tua firma vero?
Fatto eliminati i PPA xenial ho digitato i comandi

Codice: Seleziona tutto

sudo apt update
sudo apt full-upgrade
ed ho ottenuto:

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt update
[sudo] password di michela: 
Trovato:1 http://archive.canonical.com/ubuntu utopic InRelease
Trovato:2 http://it.archive.ubuntu.com/ubuntu bionic InRelease                 
Trovato:3 http://linux.teamviewer.com/deb stable InRelease                     
Trovato:4 http://it.archive.ubuntu.com/ubuntu bionic-updates InRelease         
Scaricamento di:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Trovato:6 http://it.archive.ubuntu.com/ubuntu bionic-backports InRelease       
Trovato:7 https://repo.skype.com/deb stable InRelease                          
Recuperati 88,7 kB in 2s (41,0 kB/s)                                           
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
14 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
e

Codice: Seleziona tutto

michela@michela-laptop:~$ sudo apt full-upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 wine32:i386 : Dipende: libwine:i386 (= 3.0-1ubuntu1) ma non è installato
 wine64 : Dipende: libwine (= 3.0-1ubuntu1) ma non è installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
michela@michela-laptop:~$
Quindi mi sa che ancora non sono a niente :muro: :muro: ,e si la versione che ho in uso è quella nella mia firma.

Avatar utente
willy54
Rampante Reduce
Rampante Reduce
Messaggi: 5659
Iscrizione: lunedì 18 dicembre 2017, 21:42
Desktop: Xorg, Plasma
Distribuzione: Ubuntu, Kubuntu 18.04 x86_64
Sesso: Maschile
Località: Castell'Alfero (AT)
Contatti:

Re: Impossibile installare wine e synaptic

Messaggio da willy54 » lunedì 3 agosto 2020, 13:26

Mi sembrava di aver detto che in alcuni casi quale il tuo, una installazione pulità della ultima versione disponibile era preferibile.
Hp Pavilon 15-CS2093nl Win10, UbuntuStudio (provvisorio)
Toshiba Satellite A660 11M Win7, Win10, Ubuntu 18.04 LTS- Kubuntu 18.04 LTS gparted sda inxi -Fz
disattivare Avvio rapido in Windows10

Scrivi risposta

Ritorna a “Applicazioni”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 10 ospiti